function init(hero) {
    hero.setName("Scorpion/Mac Gargan");
    hero.setTier(4); 
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
	
    
    hero.addPowers("tgheroes:scorp_suit");
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);
	hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("JUMP_HEIGHT", 3.0, 0);
    
    hero.addKeyBind("TENTACLE_JAB", "Tail Jab", 1);
    hero.addKeyBind("TENTACLE_GRAB", "Tail Grab", 2);
    hero.addKeyBind("TENTACLE_STRIKE", "Tail Strike", 3);
    hero.addKeyBind("TENTACLES", "Tail", 5);
    
    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function isKeyBindEnabled(entity, keyBind) {
    return keyBind == "TENTACLES" || entity.getData("fiskheroes:tentacles") != null;
}
